 /***************************************************************************
                          quant.cpp  -  description
                             -------------------
    begin                : Mon Dec 20 1999
    copyright            : (C) 1999 by Jeff Anderson
    email                : jbanders@mines.edu
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/
#ifndef MPEG2ENC_H
# define MPEG2ENC_H
#include "mpeg2enc.h"
#endif

#ifndef QUANT_H
#define QUANT_H
#include "quant.h"
#endif

#include <assert.h>
#include <iostream>

void quantize_intra(int source[][8])
{
//	int sum = 0;
	int quantizer_scale = 1;

  for(int i = 0; i < 8; i++)
	{
		for(int j = 0; j < 8; j++)
		{
/*
			if(source[i][j] > 2047)
			{
				source[i][j] = 2047;	
			} //end if
			else if(source[i][j] < -2048)
			{
				source[i][j] = -2048;
			} //end if
*/
			//FIXME need to use intra_dc_precision to determin this value
			if(i == 0 && j == 0)
			{
				  source[0][0] = (source[0][0] / 8);
//					sum += source[0][0];
			} //end if
			else
			{
				source[i][j] = (16 * source[i][j]) / (quantizer_scale * default_intra_quantization_matrix[i][j]);
//				sum += source[i][j];
			} //end else
		}
	}

//FIXME may not be needed
/*
	if((sum & 1) == 0)
	{
		if((source[7][7] & 1) != 0)
		{
			source[7][7] -= 1;
		}
		else
		{
			source[7][7] += 1;
		}
	}
*/
} //end quantize_intra()

void quantize_non_intra(int **source)
{

}