#ifndef __PLUGIN_ID_H__
#define __PLUGIN_ID_H__

/********** PLUGIN identifiers **********/

#define PLUGIN_ID_INPUT					0x01
#define PLUGIN_ID_DECAPS				0x02
#define PLUGIN_ID_NAV					0x03
#define PLUGIN_ID_CODEC_AUDIO				0x04
#define		PLUGIN_ID_CODEC_AUDIO_ALL		0xFF
#define PLUGIN_ID_CODEC_VIDEO				0x05
#define		PLUGIN_ID_CODEC_VIDEO_ALL		0xFF
#define		PLUGIN_ID_CODEC_VIDEO_YUV2RGB		0x01
#define		PLUGIN_ID_CODEC_VIDEO_IDCT		0x02
#define		PLUGIN_ID_CODEC_VIDEO_MOTCOMP		0x04
#define PLUGIN_ID_CODEC_SPU				0x05
#define		PLUGIN_ID_CODEC_SPU_ALL			0xFF
#define PLUGIN_ID_DESCRAMBLE				0x06
#define 	PLUGIN_ID_DESCRAMBLE_CSS		0x01
#define PLUGIN_ID_OUTPUT_AUDIO				0x07
#define		PLUGIN_ID_CODEC_OUTPUT_AUDIO_ALL	0xFF
#define PLUGIN_ID_OUTPUT_VIDEO				0x08
#define		PLUGIN_ID_CODEC_OUTPUT_VIDEO_ALL	0xFF

// DENT: this is just for now, until we moved everything over ...
#define PLUGIN_ID_CODEC	PLUGIN_ID_CODEC_AUDIO

#define MAX_PLUGIN_ID					0x09


/********** STREAM identifiers **********/

#define STREAM_ID_MP3                           0x03
#define STREAM_ID_MPEG2                         0x79
#define STREAM_ID_AC3                           0x80
#define STREAM_ID_LPCM                          0xA0

#endif
