/*  Open Media System - oms
 * 
 *  xml device page in configuration dialog
 *
 *  Copyright (C) 2000  Thomas Mirlacher, Guenter Bartsch
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#include "config_store.h"

#include "config_xml.h"
#include <sys/stat.h>
#include <stdio.h>
#include <stdlib.h>
#include <fcntl.h>

#include <config.h>

GtkButton *pSWButton;
GtkButton *pTSButton;
GtkButton *pDXR2Button;

gchar     *strOutputPlugin;
gchar     *strOutputDevice;


/**
 *
 **/

void config_xml_apply ()
{
}


/**
 *
 **/

void xml_toggled_sw (GtkButton *button,
			gpointer user_data) 
{
	fprintf (stderr, "Software\n");

	if (GTK_TOGGLE_BUTTON (button)->active) {
		strOutputPlugin =OMS_PLUGINDIR"/codec_sw.so";
		strOutputDevice ="/tmp/video";
	}
}


/**
 *
 **/

GtkWidget *create_xml_page ()
{
	GtkWidget *vbox ;

	GSList *rbgroup=NULL;
	GtkWidget *prbutton;

	vbox = gtk_vbox_new (FALSE, 5);
	gtk_widget_show (vbox);

	prbutton = gtk_radio_button_new_with_label(rbgroup, "Software codec");
	gtk_widget_show (prbutton);
	gtk_box_pack_start (GTK_BOX (vbox), prbutton, FALSE, FALSE, 5);
	rbgroup = gtk_radio_button_group( GTK_RADIO_BUTTON(prbutton) );
	gtk_signal_connect_object (GTK_OBJECT (prbutton), "toggled",
			     (GtkSignalFunc) xml_toggled_sw,
			     (gpointer) prbutton);

	return vbox;
}





