#ifndef __MAIN_H__
#define __MAIN_H__

struct player_global_struct {
	gchar	*strCurSourceName;
	gchar	*strCurSource;
	gint	nCurTitle;
	gchar	*strCurChapter;
	gint	nCurChapter;
	gboolean bPLShowing;
	gboolean bConfShowing;
};

void oms_gtk_threads_enter(void);
void oms_gtk_threads_leave(void);

#ifdef DEBUG
#define THREADSAFE(x) printf("entering THREADSAFE in %s:%d.\n", __FILE__, __LINE__); oms_gtk_threads_enter(); x; printf("leaving THREADSAFE in %s:%d.\n", __FILE__, __LINE__); oms_gtk_threads_leave()
#else
#define THREADSAFE(x) oms_gtk_threads_enter(); x; oms_gtk_threads_leave()
#endif

#endif
