/*  Open Media System - oms
 *
 * Copyright (C) 1999  Thomas Mirlacher Guenter Bartsch
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */
#ifndef PANEL_H
#define PANEL_H

#include <gtk/gtk.h>

#define ID_PREV   0
#define ID_PLAY   1
//#define ID_PAUSE  1 same as ID_PLAY (button changes pixmap)
#define ID_STOP   3
#define ID_NEXT   4
#define ID_REWIND 5
#define ID_SEEK   6

#define ID_CLOSE  10
#define ID_EJECT  11
#define ID_PL     12
#define ID_CONF   13


GtkWidget *setup_panel () ;

void draw_panel_window(gboolean force) ;

void panel_update_ui () ;

#endif


