#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>

#include <config.h>
#include "oms/oms.h"

static u_char next_chapter = 1;

// DENT: make this an interactive shell ...

/**
 *
 */

void cb_chapter_change (void *data, int my_part)
{
	fprintf (stderr, "playing chapter %d\n", my_part);
	next_chapter = 0;
}


/**
 *
 */

int main (int argc, char *argv[])
{
	int i;

// open output device
	omsOpenOutput (OMS_PLUGINDIR"/codec_sw.so", "x11:oss");
//	omsOpenOutput (OMS_PLUGINDIR"/codec_dxr2.so", "/dev/dxr2");

	for (i=1; i<argc; i++) {
// open input
		if (argc == 1) {
			if (omsOpenInput ("/dev/dvd")) {
				fprintf (stderr, "ERROR opening input %s\n", "/dev/dvd");
				exit (-1);
			}
		} else  {
			if (omsOpenInput (argv[i])) {
				fprintf (stderr, "ERROR opening input %s\n", argv[i]);
				exit (-1);
			}
		}

// register callback
		omsRegisterCb (CB_CHANGE, cb_chapter_change, NULL);

{ int s=0;
while (1){
PartPlay (0, s++);

// play the movie
//		PartPlay (0, 0);

// loop until end
		while (next_chapter)
			sleep (1);
		next_chapter = 1;
}}

// unregister callback
		omsUnregisterCb (CB_CHANGE);
	}

	exit (0);
}
